"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var addon_actions_1 = require("@storybook/addon-actions");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var AlertReadme = require("./README/Alert.md");
react_1.storiesOf('Core/Alert', module)
    .addDecorator(with_readme_1.default(AlertReadme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Alert, { my: 2, success: true, onDismiss: addon_actions_1.action('case-3') }, "This is a success message"),
            React.createElement(_1.Alert, { my: 2, danger: true, onDismiss: addon_actions_1.action('case-1') }, "This is an alert message"),
            React.createElement(_1.Alert, { my: 2, warning: true, onDismiss: addon_actions_1.action('case-2') }, "This is an alert message"),
            React.createElement(_1.Alert, { my: 2, info: true, onDismiss: addon_actions_1.action('case-4') }, "This is a general balena announcement"))));
})
    .add('Emphasized', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Alert, { my: 2, emphasized: true, success: true, onDismiss: addon_actions_1.action('case-3') }, "This is a success message"),
            React.createElement(_1.Alert, { my: 2, emphasized: true, danger: true, onDismiss: addon_actions_1.action('case-1') }, "This is an alert message"),
            React.createElement(_1.Alert, { my: 2, emphasized: true, warning: true, onDismiss: addon_actions_1.action('case-2') }, "This is an alert message"),
            React.createElement(_1.Alert, { my: 2, emphasized: true, info: true, onDismiss: addon_actions_1.action('case-4') }, "This is a general balena announcement"))));
})
    .add('Plaintext', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Alert, { my: 2, plaintext: true, success: true }, "It's a success"),
            React.createElement(_1.Alert, { my: 2, plaintext: true, info: true }, "General text goes here"),
            React.createElement(_1.Alert, { my: 2, plaintext: true, danger: true }, "There was an error"),
            React.createElement(_1.Alert, { my: 2, plaintext: true, warning: true }, "Warning text"))));
});
