"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var Readme = require("./README/Flex.md");
react_1.storiesOf('Core/Flex', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Flex, null,
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })))));
})
    .add('Justify', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Flex, { justify: 'space-between' },
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })))));
})
    .add('Flex direction', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Flex, { flexDirection: 'column' },
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })))));
})
    .add('Flex wrap', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Flex, { wrap: true },
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'red' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })))));
})
    .add('Flex property on children', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Flex, null,
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, flex: '1', bg: 'red' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'blue' }),
                React.createElement(_1.Box, { style: { height: 200, width: 200 }, bg: 'green' })))));
});
