"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../../");
var Markdown_1 = require("../../extra/Markdown");
var Readme = require("../README/Markdown.md");
var source = "\n# Markdown\nA simple component for rendering *GitHub flavored markdown*.\n\n## Headers\n\n# This is an <h1> tag\n## This is an <h2> tag\n###### This is an <h6> tag\n\n## Emphasis\n\n*This text will be italic*\n_This will also be italic_\n\n**This text will be bold**\n__This will also be bold__\n\n_You **can** combine them_\n\n## Lists\n\n### Unordered\n\n* Item 1\n* Item 2\n  * Item 2a\n  * Item 2b\n\n### Ordered\n\n1. Item 1\n1. Item 2\n1. Item 3\n   1. Item 3a\n   1. Item 3b\n\n## Images\n\n![GitHub Logo](https://assets-cdn.github.com/images/modules/logos_page/GitHub-Mark.png)\n\n## Links\n\nhttp://github.com - automatic!\n[GitHub](http://github.com)\n\n## Blockquotes\n\nAs Ash Ketchum said:\n\n> Do you always need a reason to help somebody?\n\n## Inline code\n\nI think you should use an\n`<addr>` element here instead.\n\n## Code blocks\n\n```\nconst foo = () => {\n  return 'bar'\n}\n```\n\n## Task Lists\n\n- [x] list syntax required (any unordered or ordered list supported)\n- [x] this is a complete item\n- [ ] this is an incomplete item\n\n## Tables\n\nFirst Header | Second Header\n------------ | -------------\nContent from cell 1 | Content from cell 2\nContent in the first column | Content in the second column\n\n\n## Strikethrough\n\n~~Crossed out~~\n\nAny word wrapped with two tildes (like `~~this~~`) will appear crossed out.\n\n";
react_1.storiesOf('Extra/Markdown', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(Markdown_1.Markdown, null, source))));
});
